Bug 660625 - Review Request: techne - A general purpose, programmable physical simulator and renderer
Summary: Review Request: techne - A general purpose, programmable physical simulator a...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-07 11:30 UTC by Tadej Janež
Modified: 2010-12-29 21:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-16 14:33:24 UTC
hdegoede: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Tadej Janež 2010-12-07 11:30:27 UTC
Spec URL: http://tadej.fedorapeople.org/techne.spec
SRPM URL: http://tadej.fedorapeople.org/techne-0.2-1.fc13.src.rpm
Description:
Techne is a general purpose, programmable physical simulator and renderer.
It reads in a set of scripts wherein every aspect of a physical system is
specified and then proceeds to simulate and render the system onscreen.

A showcase for Techne are the Billiards cue sports simulator:
http://www.nongnu.org/billiards/
and the Aviation flight simulator:
http://www.nongnu.org/aviation/

Techne is a prerequisite for packaging both Billiards and Aviation for Fedora.

A few notes to the reviewer:
1) A version of ode >= 0:0.11.1-5 is required by Techne, because it includes the ode-double subpackage (see: https://bugzilla.redhat.com/show_bug.cgi?id=574034)
It is included in rawhide, but it is not available in F14 and F13 yet.
The koji builds for F14 and F13 are here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=204178 (F14)
http://koji.fedoraproject.org/koji/taskinfo?taskID=2639094 (F13)

2) Techne 0.2 hasn't been officially released yet, but I'm contact with its author, who provided me with the unofficial tarball. The unofficial tarball is included in the SRPM.

3) rpmlint gives 4 warnings:
techne.spec: W: no-cleaning-of-buildroot %clean
techne.spec: W: no-buildroot-tag
techne.spec: W: no-%clean-section
techne.spec: W: invalid-url Source0: http://download.savannah.gnu.org/releases/techne/techne-0.2.tar.gz HTTP Error 404: Not Found

The first 3 are invalid, because the Fedora Packaging Guidelines states that BuildRoot tag and %clean section are not required for F13 and above.
The last warning is the consequence of Techne 0.2 not being officially released yet.

Comment 1 Tadej Janež 2010-12-07 11:38:02 UTC
One thing I forgot to mention, the koji scratch build of Techne against rawhide is available here:
https://koji.fedoraproject.org/koji/taskinfo?taskID=2648939

Comment 2 Hans de Goede 2010-12-07 15:58:25 UTC
Full review done:

Good:

- rpmlint checks return:
techne.src: W: no-cleaning-of-buildroot %clean
techne.src: W: no-buildroot-tag
techne.src: W: no-%clean-section
techne.src: W: invalid-url Source0: http://download.savannah.gnu.org/releases/techne/techne-0.2.tar.gz HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

The first 3 can be ignored, for the last one see below
- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv3+) OK, text in %doc, matches source
- spec file legible, in am. english
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

MUST FIX / needs work:
- sources match upstream
I cannot verify this, please ask upstream to put a pre-release / alpha
/ beta tarbal somewhere.

- owns all directories that it creates
Currently the package does not own the following dirs:
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/%{name}/common
This can be fixed by replacing (in %files) this:
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}/*.bin
%{_datadir}/%{name}/common/*
With:
%{_libdir}/%{name}
%{_datadir}/%{name}

- release field not properly used.
Since this is a pre release version being used the release field
should be something like:
Release: 0.1%{?dist}
or:
Release: 0.1.beta1%{?dist}

Comment 3 Tadej Janež 2010-12-09 15:01:35 UTC
Hans, thanks for the review!

(In reply to comment #2)
> MUST FIX / needs work:
> - sources match upstream
> I cannot verify this, please ask upstream to put a pre-release / alpha
> / beta tarbal somewhere.

I'm in contact with the upstream author and he'll put a tarball out shortly.

> - owns all directories that it creates
> Currently the package does not own the following dirs:
> %{_libdir}/%{name}
> %{_datadir}/%{name}
> %{_datadir}/%{name}/common
> This can be fixed by replacing (in %files) this:
> %{_libdir}/%{name}/*.so
> %{_libdir}/%{name}/*.bin
> %{_datadir}/%{name}/common/*
> With:
> %{_libdir}/%{name}
> %{_datadir}/%{name}

Thanks for pointing this out, fixed.
 
> - release field not properly used.
> Since this is a pre release version being used the release field
> should be something like:
> Release: 0.1%{?dist}
> or:
> Release: 0.1.beta1%{?dist}

Fixed.

The updated SPEC and SRPM files are available at:
http://tadej.fedorapeople.org/techne.spec
http://tadej.fedorapeople.org/techne-0.2-0.2.fc13.src.rpm

Comment 4 Tadej Janež 2010-12-14 13:36:20 UTC
(In reply to comment #3)
> > MUST FIX / needs work:
> > - sources match upstream
> > I cannot verify this, please ask upstream to put a pre-release / alpha
> > / beta tarbal somewhere.
> 
> I'm in contact with the upstream author and he'll put a tarball out shortly.

Techne 0.2 has been officially released and is available from http://download.savannah.gnu.org/releases/techne/techne-0.2.tar.gz

I've put the updated SPEC and SRPMS files at:
http://tadej.fedorapeople.org/techne.spec
http://tadej.fedorapeople.org/techne-0.2-1.fc13.src.rpm

Comment 5 Hans de Goede 2010-12-14 19:36:22 UTC
Looks good now, approved!

Comment 6 Tadej Janež 2010-12-14 21:31:43 UTC
New Package SCM Request
=======================
Package Name: techne
Short Description: A general purpose, programmable physical simulator and renderer
Owners: tadej
Branches: f13 f14
InitialCC:

Comment 7 Jason Tibbitts 2010-12-14 21:53:26 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2010-12-21 13:40:51 UTC
techne-0.2-1.fc14,ode-0.11.1-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/techne-0.2-1.fc14,ode-0.11.1-5.fc14

Comment 9 Fedora Update System 2010-12-21 13:44:11 UTC
techne-0.2-1.fc13,ode-0.11.1-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/techne-0.2-1.fc13,ode-0.11.1-5.fc13

Comment 10 Fedora Update System 2010-12-29 21:52:45 UTC
techne-0.2-1.fc14, ode-0.11.1-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-12-29 21:55:14 UTC
techne-0.2-1.fc13, ode-0.11.1-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.